Skip to main content
POST
/
team
/
billing-license
Set or clear the billing license for a target type
curl --request POST \
  --url https://api.wirespeed.co/team/billing-license \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "licenseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "licenseTarget": "USER"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "demo": true,
  "refreshable": true,
  "testMode": true,
  "chatOpsEscalationDelayMinutes": 123,
  "identityAutoContainment": true,
  "endpointAutoContainment": true,
  "fileAutoContainment": true,
  "escalationEmails": [
    "<string>"
  ],
  "logoUrl": "<string>",
  "chatOpsSecondFactor": true,
  "chatOpsAccountLockedMessage": "<string>",
  "createdAt": "<string>",
  "richCaseNotifications": true,
  "managerChatOps": true,
  "emailSignature": "<string>",
  "chatOpsSubjectLine": "<string>",
  "notificationEscalationSeverity": "INFORMATIONAL",
  "autoSubscribeServiceProviderUsers": true,
  "sku": "identity",
  "isTrial": true,
  "skipThirdPartyManagedSourceUpdates": true,
  "onboardingChecklistCompleted": true,
  "chatOpsWelcomeMessage": "<string>",
  "platformName": "<string>",
  "maxChatOpsPerDay": 123,
  "maxAutoContainmentsPerDay": 123,
  "escalationSubjectLine": "<string>",
  "chatOpsWelcomeMessageInherited": true,
  "emailSignatureInherited": true,
  "chatOpsSubjectLineInherited": true,
  "chatOpsAccountLockedMessageInherited": true,
  "serviceProvider": true,
  "parentTeamName": "<string>",
  "parentTeamId": "<string>",
  "parentServiceProvider": true,
  "operatingTeam": true,
  "useChatOpsOnboardingGroup": true,
  "chatOpsAllowBulkSmsInvite": true,
  "billableUsers": 123,
  "billableEndpoints": 123,
  "teamMembers": 123,
  "supportEmail": "<string>",
  "address": "<string>",
  "skuStartDate": "<string>",
  "skuEndDate": "<string>",
  "billingUserLicenseId": "<string>",
  "billingEndpointLicenseId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
licenseId
string<uuid> | null
required

License ID to set as billing source, or null to clear

licenseTarget
enum<string>
required

License target type

Available options:
USER,
ENDPOINT

Response

id
string
required

Unique identifier for the team

name
string
required

Name of the team

demo
boolean
required

Whether this is a demo team

refreshable
boolean
required

Whether this demo team is automatically deleted and recreated weekly

testMode
boolean
required

Whether the team is in test mode

chatOpsEscalationDelayMinutes
number
required

Delay in minutes before escalating ChatOps failures

identityAutoContainment
boolean
required

Whether automatic identity containment is enabled

endpointAutoContainment
boolean
required

Whether automatic endpoint containment is enabled

fileAutoContainment
boolean
required

Whether automatic file containment is enabled

escalationEmails
string[]
required

Email addresses for escalation notifications

logoUrl
string
required

URL of the team logo

chatOpsSecondFactor
boolean
required

Whether ChatOps requires second factor authentication

chatOpsAccountLockedMessage
string
required

Message to display when ChatOps account is locked

createdAt
string
required

Timestamp when the team was created

richCaseNotifications
boolean
required

Whether rich case notifications are enabled

managerChatOps
boolean
required

Whether manager ChatOps is enabled

emailSignature
string
required

Signature for ChatOps communications

chatOpsSubjectLine
string
required

Subject line for ChatOps communications

notificationEscalationSeverity
enum<string>
required

Minimum severity level for notification escalation

Available options:
INFORMATIONAL,
LOW,
MEDIUM,
HIGH,
CRITICAL
autoSubscribeServiceProviderUsers
boolean
default:true
required

Whether to auto-subscribe service provider users to notifications for this team

sku
enum<string>
required

Subscription SKU tier for the team

Available options:
identity,
adr,
data
isTrial
boolean
required

Whether this team is a proof-of-value trial

skipThirdPartyManagedSourceUpdates
boolean
required

Whether to skip source system updates for detections managed by a third party (e.g. Falcon Complete)

onboardingChecklistCompleted
boolean
required

Whether the team has completed the onboarding checklist

chatOpsWelcomeMessage
string

Welcome message for ChatOps workflows

platformName
string

Platform name to use for service provider clients

maxChatOpsPerDay
number

Maximum ChatOps operations allowed per day

maxAutoContainmentsPerDay
number

Maximum automatic containments allowed per day

escalationSubjectLine
string

Subject line for escalation emails

chatOpsWelcomeMessageInherited
boolean
emailSignatureInherited
boolean
chatOpsSubjectLineInherited
boolean
chatOpsAccountLockedMessageInherited
boolean
serviceProvider
boolean

Whether this team is a service provider

parentTeamName
string

Name of the parent team if this is a sub-team

parentTeamId
string

ID of the parent team if this is a sub-team

parentServiceProvider
boolean

Whether the parent team is a service provider (null when no parent)

operatingTeam
boolean

Whether this is an operating team for service providers

useChatOpsOnboardingGroup
boolean

Whether to use the ChatOps onboarding group

chatOpsAllowBulkSmsInvite
boolean

Whether to allow bulk SMS invites without limit checks

billableUsers
number

The number of billable users for the team

billableEndpoints
number

The number of billable endpoints for the team

teamMembers
number

The number of team members where the team is their parent team (excluding external members)

supportEmail
string

Support email for service provider customers to use

address
string

Address for the team, typically used in email footers

skuStartDate
string

Contract/subscription start date

skuEndDate
string

Contract/subscription end date

billingUserLicenseId
string | null

License ID used for billing user counts (null = derived counting)

billingEndpointLicenseId
string | null

License ID used for billing endpoint counts (null = derived counting)